import * as React from 'react';
import { Connect, MapStateToPropsParam, MapDispatchToPropsParam } from 'react-redux';
export declare function ModifyChildren(children?: JSX.Element[]): JSX.Element[] | JSX.Element | undefined;
export interface CreateFormOptions {
    name: string;
    connect?: Connect;
    mapStateToProps?: MapStateToPropsParam<any, any, any>;
    mapActionToProps?: MapDispatchToPropsParam<any, any>;
}
export declare const CreateForm: ({ name, connect, mapStateToProps, mapActionToProps, }: CreateFormOptions) => React.ComponentClass<any, React.ComponentState> & {
    WrappedComponent: React.ComponentType<{
        form: any;
        children: any;
        dispatch: any;
    }>;
};
